Package: org.apache.groovy.internal.metaclass

## [Java] Class MetaClassConstant<T>

- org.apache.groovy.internal.metaclass.MetaClassConstant

-     @Incubating
      public final class MetaClassConstant<T>
      extends Object

  The one and only implementation of a metaclass. INTERNAL USE ONLY.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaClassConstant(Class<T> clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaMethod` | `getMethod(String name, Class[] parameters)`
    `` | `public SwitchPoint` | `getSwitchPoint()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MetaClassConstant(Class<T> clazz)

  - ### Method Detail

    - #### public MetaMethod getMethod(String name, Class[] parameters)

    - #### public SwitchPoint getSwitchPoint()